@font-face {
  font-family: "Garet";
  src: url("garet.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

html {
  scroll-behavior: smooth;
}
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Garet", sans-serif !important;
}

body {
  /* font-family: "Roboto", sans-serif; */
  scroll-behavior: smooth;
  width: 100vw;
  height: auto;
  overflow-x: hidden;
}

.material-symbols-outlined {
  font-variation-settings: "FILL" 0, "wght" 400, "GRAD" 0, "opsz" 24;
}

nav {
  /* font-family: "Josefin Sans", sans-serif; */
  /* font-weight: 500; */
  height: 9.7vh;
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  background-color: white;
  /* border-bottom: 0.1rem solid black; */
  z-index: 100;
  /* margin-bottom: 10vh; */
}

.contact_us i {
  display: inline-block;
  transition: all 0.5s ease-in-out; /* Smooth transition for better effect */
}

.contact_us:hover i {
  transform: rotate(90deg);
}

nav ul li {
  display: flex;
  align-items: center;
  /* font-weight: 800; */
}

nav .menu {
  text-transform: uppercase;
}

nav ul li .ri-add-fill {
  margin-right: 0.7vw;
  font-size: 1vw;
}

nav ul li .ri-menu-line {
  margin-right: 0.7vw;
  font-size: 1.5rem;
  font-weight: 100;
}

nav ul {
  list-style: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100%;
  width: 100%;
  padding: 0 7vw;
}

nav ul li {
  cursor: pointer;
  font-size: 0.8vw;
}

.logo {
  height: 5.2vh;
  transform: translateX(-7px);
  margin-top: 0.5vw;
}

@media (max-width: 768px) {
  body {
    width: 100vw !important;
    /* padding: 4px !important; */
    overflow-x: hidden !important;
  }

  .logo {
    height: 3.4vh;
  }

  nav {
    padding-top: 1vh !important;
    padding-bottom: 1vh !important;
    height: 7vh !important;
    box-shadow: 4px 4px 20px rgba(0, 0, 0, 0.2);
  }

  nav .logo {
    transform: translateX(-11px);
  }

  nav ul li {
    font-size: 10px;
  }

  .tranding-slider-control {
    bottom: -1.2rem !important;
    margin-bottom: 5vh !important;
  }

  .second_container {
    padding: 16vh 6vw 6vw 6vw !important;
    gap: 16vh !important;
    flex-direction: column;
  }

  .second_hero .lower_part p {
    width: 95% !important;
    font-size: 12px !important;
    transform: translateY(0vh) !important;
  }

  .portfolio_btn_2 {
    font-size: 8px !important;
    padding: 1vh 0vw !important;
  }

  /*------ slider img ----- */
  /*------ slider img ----- */
  /*------ slider img ----- */

  .tranding-slider {
    margin-top: 8vh !important;
  }
  .swiper-wrapper .swiper-slide {
    margin: 0 4px !important;
  }

  .swiper-button-prev {
    /* height: 1px !important;
    width: 1px !important; */
    display: block !important;
    left: 0% !important;
    font-weight: bolder;
    color: rgba(74, 82, 82, 1);
    opacity: 0.7;
    transform: translateY(-30px) scale(0.65) !important;
  }

  .swiper-button-next {
    display: block !important;
    right: -0.5% !important;
    color: #4a5252;
    font-weight: bolder;
    opacity: 0.7;
    transform: translateY(-30px) scale(0.65) !important;
  }

  .tranding-slide .tranding-slide-img img {
    width: 100% !important;
  }

  .slider_btn {
    padding: 0.8vh 3vw !important;
    transform: translate(-35px, 10px) !important;
    font-size: 10px;
  }

  .slider_btn.slider_book {
    transform: translate(-49px, 12vh) !important;

    padding: 5px 25px !important;
  }

  /*----- footer ---- */
  /*----- footer ---- */
  /*----- footer ---- */

  .footer_logo_phone {
    display: block !important;
  }

  .footer_logo {
    display: none !important;
  }

  .line div {
    font-size: 6px !important;
  }

  .footer_container {
    flex-direction: column;
    text-align: center !important;
    gap: 2.5vh;
    padding-top: 2vh 0 !important;
    padding-bottom: 2vh !important;
  }

  .footer_container div {
    gap: 0.9vh !important;
  }

  .footer_right {
    text-align: center !important;
  }

  .footer_center {
    margin-left: 0 !important;
  }

  .footer_container h2 {
    font-size: 16px !important;
    margin-bottom: 0vh !important;
  }

  .footer a,
  .footer_contact {
    font-size: 12px !important;
  }

  .footer img {
    height: 5vh !important;
    width: auto !important;
  }

  /* side nav */
  /* side nav */
  /* side nav */

  .close_icon {
    padding: 13px 22px !important;
    font-size: 20px !important;
  }

  nav ul li .ri-menu-line,
  .ri-add-fill {
    font-size: 18px !important;
  }

  .side_nav,
  .contact_side {
    height: 120vh !important;
    width: 100vw !important;
    right: -100vw !important;
    padding: 12vw !important;
  }

  .number_font {
    font-size: 20px !important;
  }

  .emial_font {
    font-size: 20px !important;
  }

  .side_nav li {
    font-size: 20px !important;
  }

  .contact_side h2 {
    font-size: 20px !important;
    margin-top: 6vh;
  }

  .contact_side .contact_link a {
    font-size: 16px !important;
  }

  .side_nav.active_side_nav,
  .active_contact {
    right: 0 !important;
  }

  .blur_bg {
    height: 0vh !important;
    width: 0vw !important;
  }

  /* gallary pages */
  /* gallary pages */
  /* gallary pages */

  .two_btn_section {
    height: 6vh !important;
    margin-bottom: 10px;
    /* padding: 0 10px; */
  }
  .two_btn {
    display: none;
    transform: scale(0.8);
  }

  .phone_gray {
    display: block;
    background-color: #000 !important;
    color: #fff !important;
    box-shadow: 0 0.4rem 0.8rem rgba(0, 0, 0, 0.6) !important;
  }

  .phone_color {
    display: block;
    background-color: #000 !important;
    color: #c59c6b !important;
    box-shadow: 0 0.4rem 0.8rem rgba(0, 0, 0, 0.6) !important;
  }

  .wedding_btn {
    background-color: #ad7854 !important;
    border: none !important;
  }

  .color_btn {
    /* display: none; */
  }

  .thumnai_image_upper_part {
    padding: 4vh 4vh 1vh 4vh;
    height: auto !important;
    margin-top: 6vh !important;
    /* height: 20vh !important; */
  }

  .thumnai_image_upper_part .thumnai_image_left {
    width: 100% !important;
    position: relative !important;
  }

  .thumnai_image_upper_part .thumnai_image_left h3 {
    display: none !important;
    position: absolute;
    text-transform: uppercase !important;
    top: 50%;
    /* left: 20%; */
    text-align: center;
    /* left: 50%; */
    /* transform: translateY(-50px); */
    color: #fff;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.2);
  }

  .thumnai_image_upper_part .thumnai_image_right {
    /* width: 60% !important; */
    display: none !important;
  }

  .portfoli_gallery {
    /* margin-top: -6vh !important; */
    width: 99.5% !important;
    height: 6px !important;
    margin-bottom: 1vh;
  }

  .portfoli_gallery img {
    height: auto;
    width: 20px !important;
  }

  .masonry-grid {
    padding: 10px !important;
    column-count: 2 !important;
    column-gap: 6px !important;
  }

  .masonry-grid img {
    margin-bottom: 2px !important;
  }

  .lightbox .lightbox-img {
    width: 93vw !important;
    /* transform: translateY(-40px) !important; */
  }

  .lightbox .close {
    font-size: 6vw !important;
  }

  /*---------- faqs ----------  */
  /*---------- faqs ----------  */
  /*---------- faqs ----------  */
  .faqs_container {
    height: 20vh !important;
    margin-top: 8vh !important;
  }

  .faqs_container img {
    width: 16vw !important;
  }

  .faqs_container h2 {
    font-size: 3.5vw !important;
  }

  .accordion {
    margin-top: 5vh !important;
    margin-bottom: 5vh !important;
    width: 90vw !important;
  }

  .accordion-header {
    font-size: 12px !important;
  }

  .accordion-item.open .accordion-content p {
    font-size: 12px !important;
    line-height: 14px;
    margin: 2vh 0 !important;
  }

  .contact-button {
    margin-top: 1vh !important;
  }

  /*---------- about us ----------  */
  /*---------- about us ----------  */
  /*---------- about us ----------  */

  .about_me_container img {
    width: 60% !important;
    margin: 4vh 0vh 1vh 0vh !important;
  }

  .about_me_container {
    gap: 2vh !important;
  }

  .about_me_container p {
    width: 85% !important;
    line-height: 17px;
    font-size: 12px !important;
  }

  .about_me_contact {
    padding: 1.2vh 6vw !important ;
  }

  /*---------- about us ----------  */
  /*---------- about us ----------  */
  /*---------- about us ----------  */

  .pricing_card {
    padding-top: 20px !important;
    /* margin-top: 0 !important; */
    flex-direction: column !important;
    justify-content: space-between !important;
    align-items: center !important;
    position: static !important;
    /* border-bottom: 1px solid black; */
    /* border-top: 1px solid black; */
    height: auto !important;
    gap: 12px !important;
  }

  .pricing_left {
    text-align: center !important;
  }

  .pricing_left img {
    position: static !important;
    width: 70vw !important;
    height: 40vh !important;
  }

  .pricing_right {
    margin: 0 !important;
    z-index: 10;
    position: static !important;
    display: block !important;
  }

  .pricing_right h2 {
    font-size: 12px !important;
    /* color: #fff; */
    margin-top: 10px !important;
  }

  .pricing_center {
    position: static !important;
    display: block !important;
    transform: translate(0px, 0px) !important;
  }

  .pricing_card p {
    margin-top: 4px !important;
    font-size: 10px !important;
  }

  .pricing_pricing {
    position: static !important;
    width: 100% !important;
    font-size: 12px !important;
    text-align: end !important;
    padding-right: 8px !important ;
    /* padding: 1vh 2vw !important; */
    /* background: linear-gradient(rgba(255, 255, 255, 0.5), rgba(0, 0, 0, 0.2)); */
    /* color: #eeeae3 !important; */
  }

  /*------ contact-form  ----- */
  /*------ contact-form----- */
  /*------ contact-form----- */

  .form-group {
    width: 100% !important;
    display: flex;
    flex-direction: column;
  }

  .form-column {
    width: 100% !important;
    display: block !important;
  }

  .contact-section form {
    width: 95vw;
    padding: 3vh 4vw !important;
    border: 1px solid black !important;
    border-radius: 3px;
  }

  .contact-section input {
    box-sizing: border-box !important;
    padding: 12px !important;
  }

  .contact-section label {
    font-size: 12px !important;
  }

  .contact-section input::placeholder {
    font-size: 12px;
  }

  .contact_page_btn {
    padding: 10px 20px !important;
    border-radius: 2px;
    margin: 20px 0 0 0 !important;
    left: 31% !important;
  }

  .whatshapp {
    right: 1vw !important;
  }
  .whatshapp h3 {
    padding-top: 7px !important ;
    padding-bottom: 7px !important;
  }

  /*------ why-choose-us  ----- */
  /*------ why-choose-us----- */
  /*------ why-choose-us----- */

  .why_section {
    height: auto !important;
  }

  .why_container {
    height: auto !important;
    justify-content: center !important;
    gap: 15px !important;
  }

  .why_head {
    margin-bottom: 15px !important;
    /* transform: scale(); */
  }

  .why_row {
    flex-direction: column !important;
    gap: 15px !important;
    margin-top: 0 !important;
  }

  .why_box {
    /* height: 40vh !important;
    width: 40vh !important;
    padding: 16px !important; */
  }

  .why_head {
    margin: 5px 0 !important;
    width: 100% !important;
    height: 60vh !important;
    overflow: hidden;
  }

  .why_head img {
    transform: scale(2.5);
  }

  .why_box h2 {
    font-size: 20px !important;
  }

  .why_box p,
  div {
    font-size: 12px !important;
  }
}

/*--------------------- Side Nav-------------------- */

.blur_bg {
  height: 100vh;
  width: 100vw;
  position: fixed;
  top: 0;
  left: 0;
  opacity: 1;
  display: inline-block;
  z-index: -300;
  transition: all 1s ease-in-out;
  background-color: rgba(255, 255, 255, 0.6); /* Semi-transparent background */
  backdrop-filter: blur(10px); /* Apply blur effect */
  -webkit-backdrop-filter: blur(100px); /* For Safari support */
}

.blur_bg.active {
  z-index: 300;
}

.side_nav {
  /* font-family: "Josefin Sans", sans-serif; */
  height: 100vh;
  width: 38vw;
  position: fixed;
  top: 0;
  right: -50vw;
  background-color: #fff;
  z-index: 300;
  padding: 5.5vw;
  transition: all 1s ease-in-out;
}

.active_side_nav {
  right: 0;
}

.side_nav ul {
  list-style: none;
  text-decoration: none;
}

.side_nav li {
  font-size: 20px;
  margin-top: 24px;
  cursor: pointer;
  text-transform: uppercase;
}

.side_nav a {
  text-decoration: none;
  color: #000;
  /* font-weight: 1000; */
}

.side_nav li span {
  /* font-size: 0.3rem; */
  display: inline-block;
  transform: rotateY(-90deg);
  transition: all 0.4s ease-in-out;
}

.side_nav li:hover span {
  transform: rotateY(0deg);
}

.small_links.first {
  margin-top: 35px !important;
}

.small_links {
  margin-top: 20px !important;
}

.small_links a {
  font-size: 15px;
}

.close_icon_cover {
  position: absolute;
  right: 2px;
  top: 15px;
  height: 4rem;
  width: 4rem;
  /* background-color: aqua; */
  display: flex;
  justify-content: center;
  align-items: center;
}

.close_icon {
  padding: 14px 22px;
  border-radius: 90px;
  background-color: black;
  color: #fff;
  z-index: 100;
  cursor: pointer;
  transition: all 0.4s ease-in-out;
  box-sizing: border-box;
  font-size: 1.2rem;
  transform: rotate(45deg);
}

/* .close_icon i {
  font-size: 24px;
  color: white;
} */

.close_icon:hover {
  padding: 10px 18px;
  border-radius: 90px;
}

/* ----------------side contact-------------- */
.contact_side {
  /* font-family: "Josefin Sans", sans-serif; */
  height: 100vh;
  width: 38vw;
  position: fixed;
  top: 0;
  right: 0;
  right: -50vw;
  background-color: #fff;
  z-index: 300;
  padding: 5.5vw;
  transition: all 1s ease-in-out;
}

.call_us {
  font-size: 1.05vw;
}

.active_contact {
  right: 0;
}

.contact_side h2 {
  font-size: 1.6vw;
  font-weight: 400;
  text-transform: uppercase;
  /* text-decoration: underline 1px; */
}

.contact_side .contact_link {
  margin-top: 4vh;
}

.contact_side .contact_link a {
  font-size: 1.15vw;
  /* font-weight: 600; */
  text-decoration: none;
  color: #000;
  margin-bottom: 1.6vh;
  display: inline-block;
}

.number_font {
  font-size: 1.6vw;
}

.emial_font {
  font-size: 24px !important;
  margin-top: 12px;
}

.contact_side .contact_link.instagram a {
  font-size: 0.8vw;
  /* font-weight: 600; */
  text-decoration: none;
  color: #000;
  margin-bottom: 1.6vh;
  display: inline-block;
}

.contact_side p {
  font-size: 0.8rem;
  line-height: 1.2rem;
}

.contact_side .contact_link span {
  /* text-decoration: underline; */
  text-transform: uppercase;
  display: inline-block;
  margin-left: 0.2vw;
}

.contact_side .contact_link .underline {
  position: relative; /* Necessary for positioning the ::after element */
  width: 100%;
  /* border-bottom: 1px solid black; */
}

.contact_side .contact_link .underline::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -1px; /* Position below the main underline */
  width: 0%; /* Start with no width */
  height: 1px; /* Thickness of the animated underline */
  background-color: black; /* Same color as the underline */
  transition: width 0.3s ease-in-out; /* Smooth width transition */
}

/* Hover effect */
.contact_side .contact_link:hover .underline::after {
  width: 100%; /* Expand the underline on hover */
}

/* --------------- hero section ------------*/
/* Portfolio Section */

.portfolio_my {
  overflow: hidden;
  width: 100vw;
  height: 120vh; /* Adjust as per your layout */
  position: relative;
}

/* Portfolio Div Containers */
.portfolio_my div {
  position: absolute; /* Stack all divs on top of each other */
  top: 0;
  /* left: 1.1vw; */
  width: 100%;
  height: 100%;

  z-index: 1; /* Default stacking level */
  opacity: 0; /* Hidden by default */
  transition: opacity 1s ease-in-out, z-index 0s 1s; /* Smooth fade effect with delayed z-index */
}

/* Active Div */
.portfolio_my div.active {
  opacity: 1; /* Fully visible */
  z-index: 2; /* Place on top */
  transition: opacity 1s ease-in-out, z-index 0s 0s; /* Immediate z-index change */
}

.portfolio_my div img {
  width: 99%;
  object-fit: cover;
}

.portfolio_my a {
  padding: 1vw 5vh;
  text-decoration: none;
  color: #000;
  background-color: #fff;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50px, 0px);
  cursor: pointer;
  transition: all 0.4s ease-in-out;
}

.portfolio_my a::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: inherit; /* Inherits the background */
  z-index: -1; /* Places it behind the text */
  filter: blur(0); /* Initial state */
  transition: filter 0.3s ease; /* Smooth transition */
}

.portfolio_my a:hover::before {
  filter: blur(8px); /* Adjust the blur level */
}

/* new sectionnnnnnnnnn */
/* new sectionnnnnnnnnn */
/* new sectionnnnnnnnnn */

.second_hero {
  /* font-family: "Encode Sans", sans-serif; */
  /* font-family: "Krub", sans-serif; */
  width: 100%;
  display: block;
  background-color: #d8ccbe;
  margin-top: -4vh;
}

.second_container {
  display: flex;
  justify-content: center;
  gap: 2vw;
  overflow: hidden;
  padding: 10vw 7.8vw;
}
.second_container .left,
.right {
  flex: 1;
}

.second_container .lower_part {
  margin-top: 14vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  gap: 4vh;
}

.second_container img {
  width: 100%;
}

.upper_part {
  display: inline-flex;
  width: 100%;
  position: relative;
  justify-content: center;
  margin: 14vw 0;
  align-items: center;
}

.upper_part img {
  width: 100%;
  position: absolute;
}

.portfolio_btn_2 {
  text-align: center;
  width: 45%;
  padding: 1vw 0vw;
  background-color: rgba(255, 255, 255, 1);
  backdrop-filter: blur(1px);
  color: #000;
  text-transform: uppercase;
  cursor: pointer;
  transition: all 0.6s ease-in-out;
  font-weight: 500;
  font-size: 1vw;
  text-decoration: none;
}

.portfolio_btn_2:hover {
  color: #000; /* Ensure the text remains visible */
  box-shadow: 0 6px 8px rgba(0, 0, 0, 0.2),
    inset 0 2px 0 rgba(255, 255, 255, 0.3); /* Enhance shadow on hover */
  transform: scale(0.97); /* Slight zoom effect */
  width: 44%;
  padding: 0.9vw 0vw;
}

/* .portfolio_btn_1:hover {
  padding: 2.4vw 5.6vw;
} */

.second_hero .lower_part p {
  width: 80%;
  font-size: 1.1vw;
  word-spacing: 3px;
  text-align: center;
  transform: translateY(3vh);
}

.line {
  background-color: #c59c6b;
}

.line div {
  color: #fff;
  text-align: center;
  padding: 0.5vw 0;
  font-size: 0.8vw;
}

/*--------- foorer-------------- */

.footer_container {
  width: 100%;
  display: flex;
  justify-content: space-between;
  background-color: antiquewhite;
  padding: 4vw 4vw 1.4vw 4vw;
}

.footer_logo_phone {
  display: none;
}

.footer_container.white {
  background-color: #fff;
}

.footer_container h2 {
  font-size: 1.2vw;
}

.footer_container div {
  display: flex;
  flex-direction: column;
  /* background-color: aqua; */
  gap: 2.5vh;
}

.footer a,
.footer_contact {
  font-size: 0.8vw;
  text-decoration: none;
  color: #000;
  position: relative;
  display: inline-block;
  transition: color 0.3s ease-in-out; /* Optional color transition */
}

.footer a::after,
.footer_contact::after {
  content: "";
  position: absolute;
  bottom: 0; /* Position underline at the bottom */
  left: 0;
  width: 0;
  height: 1px; /* Adjust the thickness of the underline */
  background-color: #000; /* Underline color */
  transition: width 0.3s ease-in-out; /* Animation for the underline */
}

.footer a:hover,
.footer_contact:hover {
  cursor: pointer;
  color: #333; /* Optional hover color */
}

.footer a:hover::after,
.footer_contact:hover::after {
  width: 100%; /* Expand the underline on hover */
}

.footer_center {
  text-align: center;
  margin-left: 3vw;
}

.footer_right {
  text-align: end;
}

footer img {
  /* border-inline: 1px solid black; */
  /* border-radius: 5px; */
  width: 3.5vw;
}

/*--------------------- portfoli page----------------- */
/*--------------------- new page----------------- */
/*--------------------- portfoli page----------------- */
.thumnai_image {
  height: 50vh;
  width: 100%;
  display: block;
}

.thumnai_image_left img {
  width: 100%;
}

.all_images {
  margin-top: 3vh;
  margin-bottom: 8vh;
}

.all_images img {
  width: 100%;
  margin-top: -0.5vw;
}

/*------------------ why choose us---------------- */
/*------------------ new page---------------- */
/*------------------ why choose us---------------- */
.why_section {
  margin-top: 2vh;
  padding: 4vh 5vw 5vh 4.5vw;
  background-color: #eeeae3;
}

.why_container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 20px;
}

.why_row {
  display: flex;
  justify-content: space-between;
  width: 100%;
  gap: 5vw;
  margin-top: 3vh;
}

.why_box {
  /* padding: 4vw; */
  box-sizing: border-box;
  text-align: center;
  /* height: 92vh; */
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  /* gap: 14px; */
  background-color: #fff;
}

.why_box img {
  height: auto;
  width: 100%;
}

.why_head {
  height: 70vh;
  width: 100%;
  display: flex;
  margin: 5vh 0;
}

/*------------------ gird layout---------------- */
/*------------------ new page---------------- */
/*------------------ gird layout---------------- */
/* Lightbox Styles */
/* Lightbox container */
/* Masonry Grid */

.two_btn_section {
  margin-top: 3vh;
  height: 12vh;
  width: 100vw;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 30px;
}

.two_btn {
  /* border-radius: 3px; */
  /* transform: translateX(-8px); */
  width: 200px;
  text-align: center;
  padding: 10px 0;
  background-color: black;
  color: #fff;
  transition: all 0.4s ease-in-out;
  cursor: pointer;
  box-shadow: 0 0.4rem 0.8rem rgba(0, 0, 0, 0.6);
  text-decoration: none;
}

/* ad7854 */
/* ---- */

.wedding_btn {
  background-color: #ad7854;
}

.color_btn {
  box-shadow: 0 0.2rem 0.4rem rgba(0, 0, 0, 0.2);
  text-decoration: none;
  color: #000;
  cursor: pointer;
  position: relative;
  overflow: hidden;
  border: 1px solid black;
  background: transparent;
}

.color_btn:hover {
  color: #c59c6b;
  box-shadow: 0 0.4rem 0.8rem rgba(0, 0, 0, 0.6);
}

.gray:hover {
  color: #fff;
}

.color_btn::before {
  content: "";
  position: absolute;
  background: black;
  width: 0px;
  height: 0px;
  left: var(--xPos);
  top: var(--yPos);
  transform: translate(-50%, -50%);
  border-radius: 50%;
  transition: all 0.5s ease-in-out;
}

.wedding_btn::before {
  background-color: #ad7854;
}

.wedding_btn:hover {
  border: none;
}

.color_btn span {
  position: relative;
  z-index: 3;
}

.color_btn:hover::before {
  width: 420px;
  height: 330px;
}

/* --- */

.masonry-grid {
  padding: 2rem 2rem 2rem 1rem;
  column-count: 4;
  column-gap: 10px;
}

.masonry-grid img {
  width: 100%;
  margin-bottom: 6px;
  cursor: pointer;
  transition: transform 0.2s ease-in-out;
}

/* Masonry Grid Layout */

.masonry-grid img:hover {
  transform: scale(1.01);
}

/* Lightbox */
.lightbox {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: #f5f2f0;
  display: flex;
  align-items: center;
  justify-content: center;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
  z-index: 1000;
}

.lightbox.visible {
  visibility: visible;
  opacity: 1;
}

.lightbox .lightbox-img {
  max-width: auto;
  max-height: 90%;
  transition: all 0.5s ease-in-out;
  transform-origin: center center;
  opacity: 1;
}

.lightbox .close {
  position: absolute;
  top: 16px;
  left: 25px;
  font-size: 1.6vw;
  background: none;
  border: none;
  color: grey;
  cursor: pointer;
  transition: all ease-in-out 0.4s;
}

.lightbox .close:hover {
  cursor: pointer;
  color: #000;
}

.lightbox .arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: none;
  color: gray;
  border: none;
  font-size: 2.5vw;
  padding: 10px;
  cursor: pointer;
  z-index: 10;
  visibility: hidden;
}

.lightbox .arrow.left {
  left: 10px;
}

.lightbox .arrow.right {
  right: 20px;
}

body:hover .lightbox .arrow {
  visibility: hidden;
}

body.left .lightbox .arrow.left {
  visibility: visible;
}

body.right .lightbox .arrow.right {
  visibility: visible;
}

.thumnai_image_upper_part .thumnai_image_left h3 {
  display: none;
}

/*  */
/*  */
/*  */

.thumnai_image {
  width: 100vw;
  margin-top: 1vh;
  height: auto;
}

.thumnai_image_upper_part {
  display: flex;
  gap: 0.6vw;
  width: 100%;
  height: 50vh;
  margin-top: 11vh;
}

.thumnai_image_upper_part .thumnai_image_left {
  width: 22%;
  height: auto;
  background-color: #c59c6b;
}

/* .thumnai_image_upper_part .thumnai_image_left .lifestyle {
  background-color: #eeeae3 !important;
}

.thumnai_image_upper_part .thumnai_image_left.maternity {
  background-color: #b8a18e;
} */

.thumnai_image_upper_part .thumnai_image_left img {
  object-fit: cover;
  object-position: top;
  height: 100%;
}

.thumnai_image_upper_part .thumnai_image_right {
  color: #fff;
  width: 80%;
  text-transform: uppercase;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.5vw;
  height: auto;
}

.thumnai_image_upper_part .thumnai_image_right h2 {
  font-size: 1.5vw;
}

.thumnai_image_upper_part .thumnai_image_right.dark {
  background-color: #000;
}

.thumnai_image_upper_part .thumnai_image_right.street {
  background-color: #737373;
}

.thumnai_image_upper_part .thumnai_image_right.wedding {
  background-color: #ad7854;
}

.thumnai_image_upper_part .thumnai_image_right.lifestyle {
  background-color: #eeeae3;
}

.thumnai_image_upper_part .thumnai_image_right.maternity {
  background-color: #b8a18e;
}

.portfoli_gallery {
  height: 2vh;
  display: block;
  display: flex;
  justify-content: center;
  align-items: center;
}

.portfoli_gallery.dark {
  /* width: 1vw; */
  margin-top: 1vh;
  background-color: #000;
}

.portfoli_gallery.dark img {
  width: 2.3vw;
}

.portfoli_gallery.lifestyle {
  /* width: 1vw; */
  margin-top: 1vh;
  background-color: #eeeae3;
}

.portfoli_gallery.lifestyle img {
  width: 2.3vw;
}

.portfoli_gallery.street {
  /* width: 1vw; */
  margin-top: 1vh;
  background-color: #737373;
}

.portfoli_gallery.street img {
  width: 2.3vw;
}

.portfoli_gallery.wedding {
  /* width: 1vw; */
  margin-top: 1vh;
  background-color: #ad7854;
}

.portfoli_gallery.wedding img {
  width: 2.3vw;
}

.portfoli_gallery.maternity {
  /* width: 1vw; */
  margin-top: 1vh;
  background-color: #b8a18e;
}

.portfoli_gallery.maternity img {
  width: 2.3vw;
}

.portfoli_gallery.brown {
  margin-top: 1vh;
  background-color: #eeeae3;
  position: relative;
  z-index: 3;
}

.portfoli_gallery.brown img {
  height: auto;
  width: 2.3vw;
}

/* @media (max-width: 768px) {
 
  .masonry-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 480px) {
  
  .masonry-grid {
    grid-template-columns: 1fr;
  }
} */

/*--------------------- faqs page----------------- */
/*--------------------- new page----------------- */
/*--------------------- faqs page----------------- */

.faqs_container {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 11vh;
  background-color: #eeeae3;
  height: 50vh;
  position: relative;
  /* border: 2px solid black; */
  /* z-index: -2; */
}

.faqs_container img {
  position: absolute;
  width: 8vw;
  opacity: 7%;
  /* z-index: -1; */
}

.faqs_container h2 {
  font-size: 2vw;
  position: absolute;
}

.accordion {
  width: 60vw;
  margin: 10vh auto;
  /* border: 1px solid #ddd; */
  /* border-radius: 8px; */
  overflow: hidden;
}

.accordion-item {
  border-bottom: 1px solid #ddd;
}

.accordion-item:last-child {
  border-bottom: none;
}

.accordion-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 16px;
  cursor: pointer;
  font-size: 15px;
  text-transform: uppercase;
  font-weight: 600;
  /* background-color: #f9f9f9; */
  transition: background-color 0.3s ease;
}

.accordion-header:hover {
  background-color: #eaeaea;
}

.accordion-icon {
  font-size: 24px;
  transition: transform 0.3s ease;
}

.accordion-content {
  max-height: 0;
  overflow: hidden;
  padding: 0 16px;
  background-color: #fff;
  transition: max-height 0.3s ease, padding 0.3s ease;
}

.accordion-content p {
  font-size: 14px;
  margin: 16px 0;
}

.accordion-item.open .accordion-content {
  max-height: 200px; /* Adjust based on content */
  padding: 6px 16px 8px 16px;
}

.accordion-item.open .accordion-icon {
  content: "-";
  transform: rotate(180deg); /* Optional for animation */
}

/* Additional Section Styling */
.additional-info {
  margin-top: 4vh;
  text-align: center;
  padding: 20px 0;
  /* background-color: #f9f9f9; */
}

.question-line {
  font-size: 20px;
  margin-bottom: 10px;
  color: #333;
  text-transform: uppercase;
}

.faq_contact_container {
  text-align: center;
  padding-bottom: 10vh;
}

.faq_contact_container h2 {
  text-transform: uppercase;
  margin-bottom: 45px;
}

.faqs_contact_btn {
  background-color: #000;
  display: inline;
  color: #fff;
  font-size: 14px;
  padding: 14px 26px;
  transition: all 0.5s ease-in-out;
  cursor: pointer;
  border-radius: 2px;
  margin-bottom: 10px;
}

.faqs_contact_btn:hover {
  padding: 12px 22px;
}

.contact-button {
  margin-top: 3vh;
  padding: 12px 24px;
  font-size: 14px;
  background-color: #000;
  color: #fff;
  border: none;
  /* border-radius: 4px; */
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.contact-button:hover {
  background-color: #444;
}

/*--------------------- pricing page----------------- */
/*--------------------- new page----------------- */
/*--------------------- pricing page----------------- */

.pricing_body {
  background: rgb(238, 234, 227) !important;
  /* margin-; */
}

.crem_nav {
  background-color: #eeeae3;
}

.pricing_head_container {
  background-color: #fff;
}

.pricing {
  margin: 4vh 0;
}

.pricing h2 {
  text-transform: uppercase;
  font-size: 1.5vw;
}

.pricing_card {
  height: 50vh;
  width: 100%;
  background-color: #fff;
  position: relative;
  display: flex;
  justify-content: start;
  /* align-items: center; */
  padding: 0.8vh;
  overflow: hidden;
  color: #000;
  margin-top: 3vh;
}

.pricing_card p {
  margin-top: 1vh;
  text-align: center;
  /* background-color: peachpuff; */
  padding: 0 10vw;
  font-size: 1.1vw;
}

.pricing_left img {
  /* margin: 1vh; */
  width: 20vw;
  object-fit: cover;
  height: 100%;
  /* position: absolute; */
  top: 0;
  left: 0;
  /* display: inline-block; */
  /* left: -15vw; */
}

.pricing_right {
  /* transform: translateX(60px); */
  margin-left: 1vw;
  position: absolute;
  top: 0%;
  /* left: 20vw; */
  display: inline-block;
  margin-top: 1vh;
}

.pricing_center {
  display: inline;
  text-align: center;
  position: absolute;
  top: 50%;
  left: 30%;
  transform: translate(-50px, -50px);
  gap: 2vh;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.pricing_pricing {
  position: absolute;
  right: 0;
  bottom: 0;
  margin: 1vh 2vw;
  font-size: 1.5vw;
  font-weight: 600;
}
/* -----------------------slider-------------------------------- */
/* -----------------------slider-------------------------------- */
/* -----------------------slider-------------------------------- */

/* @import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700&display=swap"); */

/* :root {
  --primary: #ec994b;
  --white: #ffffff;
  --bg: #f5f5f5;
} */

/* body {
  font-size: 1.6rem;
  background: var(--bg);
} */

#tranding .container {
  margin: 0 auto;
}

.text-center {
  text-align: center;
}

#tranding {
  padding: 0rem 0;
}

/* @media (max-width: 1440px) {
  #tranding {
    padding: 7rem 0;
  }
} */

.tranding-slider {
  /* height: 52rem; */

  height: auto;
  overflow: hidden !important;
  padding: 1vh 0;
  position: relative;
  margin-top: 9vh;
}

.swiper-button-prev {
  /* display: none; */
  left: 5%;
  color: gray;
  transform: translateY(-40px);
}

.swiper-button-next {
  /* display: none; */
  right: 5%;
  color: gray;
  transform: translateY(-40px);
}

/* @media (max-width: 500px) {
  .tranding-slider {
    height: 45rem;
  }
} */

.tranding-slide {
  width: 75vw;
  height: auto;
  /* height: 84%; */
  position: relative;
  transition: all 0.3s, filter 0.3s;
  overflow: hidden !important;
  transform: translateX(-0.1px) !important;
  margin: 0.5vw !important;
  box-shadow: none;
}

.slider_btn {
  padding: 1vw 5vh;
  text-decoration: none;
  color: #000;
  background-color: #fff;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-74px, 0px);
  cursor: pointer;
  transition: all 0.4s ease-in-out;
}

.slider_btn.slider_book {
  transform: translate(-122px, 29vh);
  background-color: rgba(
    255,
    255,
    255,
    0.3
  ); /* Black background with 90% opacity */
  padding: 1vw 12vh;
}

.slider_btn::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: inherit; /* Inherits the background */
  z-index: -1; /* Places it behind the text */
  filter: blur(0); /* Initial state */
  transition: filter 0.3s ease; /* Smooth transition */
}

.slider_btn:hover::before {
  filter: blur(3px); /* Adjust the blur level */
}

/* @media (max-width: 500px) {
  .tranding-slide {
    width: 28rem !important;
    height: 36rem !important;
  }
  .tranding-slide .tranding-slide-img img {
    width: 28rem !important;
    height: 36rem !important;
  }
} */

/* .tranding-slide .tranding-slide-img {
  overflow: hidden !important;
} */

.tranding-slide .tranding-slide-img img {
  width: 100%;
  /* height: 92%; */
  height: auto;
  box-shadow: none;
  /* overflow: hidden !important; */
}

.swiper-slide:not(.swiper-slide-active) {
  filter: blur(1px);

  transform: scale(0.85);
  box-shadow: none;
  /* height: 81%; */
  height: auto !important;
  box-sizing: border-box !important;
  overflow: hidden !important;
  /* bottom: 3rem; */
}

.tranding-slider-control {
  position: relative;
  bottom: -5vh;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 10vh;
}

.tranding-slider-control .swiper-button-next {
  left: 58% !important;
  transform: translateX(-58%) !important;
}

/* @media (max-width: 990px) {
  .tranding-slider-control .swiper-button-next {
    left: 70% !important; */
/* transform: translateX(-70%) !important; */
/* }
} */

/* @media (max-width: 450px) {
  .tranding-slider-control .swiper-button-next {
    left: 80% !important;
    transform: translateX(-80%) !important;
  }
} */

/* @media (max-width: 990px) {
  .tranding-slider-control .swiper-button-prev {
    left: 30% !important;
    transform: translateX(-30%) !important;
  }
} */

/* @media (max-width: 450px) {
  .tranding-slider-control .swiper-button-prev {
    left: 20% !important;
    transform: translateX(-20%) !important;
  }
} */

.tranding-slider-control .slider-arrow {
  background: var(--white);
  width: 3.5rem;
  height: 3.5rem;
  border-radius: 50%;
  left: 42%;
  transform: translateX(-42%);
  /* filter: drop-shadow(0px 8px 24px rgba(18, 28, 53, 0.1)); */
}

.tranding-slider-control .swiper-pagination {
  position: relative;
  bottom: 1rem;
  /* Moves the dots lower */
}

.tranding-slider-control .swiper-pagination .swiper-pagination-bullet {
  filter: drop-shadow(0px 8px 24px rgba(18, 28, 53, 0.1));
}

.tranding-slider-control .swiper-pagination .swiper-pagination-bullet-active {
  background: rgb(82, 82, 82);
}

/*--------------------- about me page----------------- */
/*--------------------- new page----------------- */
/*--------------------- about me page----------------- */

.about_me_container {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 5vh;
  text-align: center;
  padding-bottom: 4vh;
}

.about_me_container img {
  width: 26%;
  margin: 8vh 0 2vh 0;
}

.about_me_container p {
  width: 70%;
}

.about_me_contact {
  background-color: #000;
  display: inline;
  color: #fff;
  font-size: 14px;
  padding: 14px 26px;
  transition: all 0.5s ease-in-out;
  cursor: pointer;
  border-radius: 2px;
  margin-bottom: 10px;
  border: none;
  outline: none;
}

.about_me_contact:hover {
  padding: 12px 22px;
  margin-bottom: 14px;
}

/*--------------------- contact me page----------------- */
/*--------------------- new page----------------- */
/*--------------------- contact me page----------------- */

/* Remove arrows from the number input with the specific class */
.currency-input {
  /* font-size: 16px; */
  padding-left: 10px; /* Space for $ symbol */
}

.whatshapp {
  bottom: 10vh;
  right: 2vw;
  position: fixed;
  display: flex;
  /* gap: 5px; */
  align-items: center;
  z-index: 10;
}

.whatshapp h3 {
  font-size: 10px;
  font-weight: 100;
  padding: 8px 15px;
  background-color: #f5f7f9;
  border-radius: 5px;
}

.whatshapp span {
  /* font-weight: 500; */
}

.whatshapp img {
  width: 70px;
  height: auto;
  /* border-radius: 50px; */
  transition: all ease-in-out 0.5s;
  border-radius: 100px;
}

.whatshapp img:hover {
  transform: scale(0.94);
}

/* Customize the input field */
#wedding-date {
  border: 1px solid #ccc;
  border-radius: 5px;
  padding: 10px;
  font-size: 16px;
  width: 100%;
  max-width: 300px;
  box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1);
}

/* Style the Flatpickr calendar */
.flatpickr-calendar {
  background: #fff;
  border: 1px solid #ddd;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
  /* font-family: Arial, sans-serif; */
}

/* Highlight selected date */
.flatpickr-day.selected {
  background: #007bff;
  color: #fff;
  border-radius: 50%;
}

/* Hover effect for days */
.flatpickr-day:hover {
  background: #f0f0f0;
  border-radius: 50%;
}
/* ------calendar end------ */

.contact-section {
  /* text-align: center; */
  padding: 30px 0;
}

.contact-section form {
  border: 2px solid black;
  padding: 3vw;
  min-width: 60vw;
  border-radius: 4px;
}

.contact-section input,
textarea {
  background-color: #eff0f2;
  border: none;
  padding: 2vh 1vw;
}

.contact-section label {
  text-transform: uppercase;
  margin-bottom: 1.5vh;
  margin-top: 1vh;
  color: gray;
  letter-spacing: 0.2vw;
  text-transform: uppercase;
}

.label {
  display: block;
  /* margin-bottom: 10vh; */
}

#message {
  height: 30vh;
  margin-top: 1.5vh;
}

.contact_form_btn {
  /* border-radius: 5px; */
  color: rgba(255, 255, 255, 0.7) !important;
  width: 100%;
  margin-top: 2vh;
  transition: all 0.4s ease-in-out;
}

.contact_form_btn:hover {
  opacity: 0.8;
}

.contact_page_btn {
  position: relative;
  left: 45.5%;
  /* transform: translateX(-00px); */
  margin: 15vh 0 10vh 0;
  background-color: #000;
  display: inline;
  color: #fff;
  font-size: 14px;
  padding: 14px 26px;
  transition: all 0.5s ease-in-out;
  cursor: pointer;
  border-radius: 2px;
  border: none;
  outline: none;
}

.contact_page_btn:hover {
  opacity: 0.8;
  padding: 14px 26px;
}

/* .label {
  text-transform: uppercase;
  margin-bottom: 1.5vh;
  margin-top: 1vh;
  color: gray;
  letter-spacing: 0.2vw;
} */

.contact-btn {
  background-color: #000;
  color: #fff;
  border: none;
  padding: 10px 20px;
  cursor: pointer;
  margin-bottom: 20px;
  font-size: 16px;
}

.contact-form {
  max-width: 600px;
  margin: 0 auto;
}

.form-group {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  margin-bottom: 15px;
}

.form-column {
  flex: 1;
  display: flex;
  flex-direction: column;
}

label {
  font-size: 14px;
  font-weight: bold;
  margin-bottom: 5px;
  text-align: left;
}

input,
textarea {
  width: 100%;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 14px;
}

textarea {
  height: 100px;
  resize: none;
}

button[type="submit"] {
  background-color: #000;
  color: #fff;
  padding: 10px 20px;
  border: none;
  cursor: pointer;
  font-size: 16px;
}
